Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions
proofs::MACGF2< Backend, BitPlucker > Class Template Reference

## Data Structures
class | Witness

## Public Types
using | Elt = typename Logic<GF2_128<>, Backend>::Elt
using | EltW = typename Logic<GF2_128<>, Backend>::EltW
using | BitW = typename Logic<GF2_128<>, Backend>::BitW
using | v128 = EltW
using | v8 = typename Logic<GF2_128<>, Backend>::v8
using | v256 = typename Logic<GF2_128<>, Backend>::v256

## Public Member Functions
| MACGF2 (const Logic< GF2_128<>, Backend > &lc)
void | verify_mac (const EltW mac[], const EltW &av, const v256 &msg, const Witness &vw) const

The documentation for this class was generated from the following file:

- lib/circuits/mac/mac_circuit.h